---
title: 'xml:space'
slug: 'Web/SVG/Attribute/xml:space'
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}{{Deprecated_Header("SVG2")}}</div>

<p><span class="seoSummary">SVG supports the built-in XML <strong><code>xml:space</code></strong> attribute to handle whitespace characters inside elements.</span> Child elements inside an element may also have an <code>xml:space</code> attribute that overrides the parentʼs one.</p>

<div class="notecard note">
<p><strong>Note:</strong> Instead of using the <code>xml:space</code> attribute, use the {{cssxref("white-space")}} CSS property.</p>
</div>

<p>This attribute influences how browsers parse text content and therefore changes the way the {{Glossary("DOM")}} is built. Therefore, changing this attributeʼs value through the DOM API may have no effect.</p>

<p>All elements are using this attribute.</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; highlight[2,3]">&lt;svg viewBox="0 0 140 50" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;text y="20" xml:space="default"&gt;Default   spacing&lt;/text&gt;
  &lt;text y="40" xml:space="preserve"&gt;Preserved   spacing&lt;/text&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "120", "50")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>default</code> | <code>preserve</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>default</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>default</code></dt>
 <dd>With this value set, whitespace characters will be processed in this order:</dd>
 <dd>
 <ol>
  <li>All newline characters are removed.</li>
  <li>All tab characters are converted into space characters.</li>
  <li>All leading and trailing space characters are removed.</li>
  <li>All contiguous space characters are collapsed into a single space character.</li>
 </ol>
 </dd>
 <dt><code>preserve</code></dt>
 <dd>
 <p>This value tells the user agent to convert all newline and tab characters into spaces. Then, it draws all space characters (including leading, trailing and multiple consecutive space characters).</p>

 <p>For example, the string "a   b" (three spaces between "a" and "b") separates "a" and "b" more than "a b" (one space between "a" and "b").</p>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "struct.html#XMLSpaceAttribute", "xml:space")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Deprecates the attribute and suggests to use {{cssxref("white-space")}} instead.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "struct.html#XMLSpaceAttribute", "xml:space")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.core.xml_space")}}</p>
